package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Kebangsaan;
import com.jasamedika.medifirst2000.entities.Pasien;
import com.jasamedika.medifirst2000.entities.Ruangan;
import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapInformasiIbuVO extends MedicalRecordTransactionVO {
	
	@Caption(value = "IbuDirawat")
	private Boolean ibuDirawat;

	@Caption(value = "Tanggallahir")
	private Date tanggallahir;

	@ManyToOne
	@Caption(value = "Ibu")
	private PasienVO ibu;

	@ManyToOne
	@Caption(value = "Ruangan")
	private RuanganVO ruangan;

	@ManyToOne
	@Caption(value = "Kebangsaan")
	private KebangsaanVO kebangsaan;

	@Caption(value = "DitolongOleh")
	private String ditolongOleh;

	public Boolean getIbuDirawat() {
		return ibuDirawat;
	}

	public void setIbuDirawat(Boolean ibuDirawat) {
		this.ibuDirawat = ibuDirawat;
	}

	public Date getTanggallahir() {
		return tanggallahir;
	}

	public void setTanggallahir(Date tanggallahir) {
		this.tanggallahir = tanggallahir;
	}

	public PasienVO getIbu() {
		return ibu;
	}

	public void setIbu(PasienVO ibu) {
		this.ibu = ibu;
	}

	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}

	public KebangsaanVO getKebangsaan() {
		return kebangsaan;
	}

	public void setKebangsaan(KebangsaanVO kebangsaan) {
		this.kebangsaan = kebangsaan;
	}

	public String getDitolongOleh() {
		return ditolongOleh;
	}

	public void setDitolongOleh(String ditolongOleh) {
		this.ditolongOleh = ditolongOleh;
	}

}